ProgressBar
===========

Installation
------------

Add this line to your application's Gemfile:

```ruby
gem 'progress-bar'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install progress-bar

## Usage

There exist three different handlers for ProgressBar: `ProgressBar::KDE`, `ProgressBar::KDialog` and `ProgressBar::Console`.
These can be used directly, or you can use `ProgressBar.new` to determine the best solution.

If the process runs in a terminal, the `ProgressBar::Console` would be the best solution.
If you run KDE, `ProgressBar::KDE`, which uses JobViewer via DBUS, would be nice.
Else `ProgressBar::KDialog` will be tried.
Other handlers could be added in future.

```ruby
pb = ProgressBar.new 100, 'Initialization...'  # You expect 100 units (eg. percent)
ph.start
pb.i += 5                                      # 5 units done
pb.inc! 5                                      # additional 5 units done
pb.text = "Working..."
pb.i += 80
pb.text = "Last steps"
pb.i += 10
pb.text = "Done!"
pb.finish
```

## Development

After checking out the repo, run `bundle install` to install dependencies. Then, run `rake test` to run the tests.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on [https://git.denkn.at/deac/progress-bar]().

## License

The gem is available as open source under the terms of the [LGPL-3.0 License](https://opensource.org/licenses/LGPL-3.0).
